[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r988 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-08-03 20:29:05 +0000 (Wed, 03 Aug 2005)
New Revision: 988

Added:
   glibc-package/trunk/debian/patches/locale-iso4217.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/locale-iso4217.dpatch: New file, to fix localedef
        breakage for tr_TR.ISO-8859-9.  (Closes: #314855)



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-08-03 20:24:50 UTC (rev 987)
+++ glibc-package/trunk/debian/changelog	2005-08-03 20:29:05 UTC (rev 988)
@@ -6,6 +6,8 @@
       - debian/patches/cvs-localedata.dpatch: New file, to update localedata
         to the latest cvs.  Reported by Safir Secerovic <esafir@yahoo.com>,
         Reviewed by Denis Barbier <barbier@linuxfr.org>.  (Closes: #312902)
+      - debian/patches/locale-iso4217.dpatch: New file, to fix localedef
+        breakage for tr_TR.ISO-8859-9.  (Closes: #314855)
 
     * To make glibc-2.3.5 buidable with gcc-4.0:
       - debian/patches/00list: Drop glibc234-hppa-full-nptl-2004-12-20.dpatch

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-08-03 20:24:50 UTC (rev 987)
+++ glibc-package/trunk/debian/patches/00list	2005-08-03 20:29:05 UTC (rev 988)
@@ -80,3 +80,4 @@
 glibc235-gcc4-alpha-profile
 glibc235-execvp-fix
 glibc235-gcc34-m68k-seccomment
+locale-iso4217

Added: glibc-package/trunk/debian/patches/locale-iso4217.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/locale-iso4217.dpatch	2005-08-03 20:24:50 UTC (rev 987)
+++ glibc-package/trunk/debian/patches/locale-iso4217.dpatch	2005-08-03 20:29:05 UTC (rev 988)
@@ -0,0 +1,43 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Fix tr_TR localedef breakage.
+# DP: Related bugs: #314855: tr_TR.ISO-8859-9...LC_MONETARY: `int_curr_symbol' does not correspond to valid name
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: 
+# DP: Upstream status: Will be submitted.
+# DP: Status Details: 
+# DP: Date: 2005-08-03
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+Index: iso-4217.def
+===================================================================
+RCS file: /cvs/glibc/libc/locale/iso-4217.def,v
+retrieving revision 1.16
+diff -u -p -r1.16 iso-4217.def
+--- locale/iso-4217.def	20 Mar 2005 04:14:36 -0000	1.16
++++ locale/iso-4217.def	3 Aug 2005 04:23:45 -0000
+@@ -151,7 +151,7 @@ DEFINE_INT_CURR("TJR")		/* Tajikistani R
+ DEFINE_INT_CURR("TMM")		/* Turkmenistan Manet  */
+ DEFINE_INT_CURR("TND")		/* Tunisian Dinar  */
+ DEFINE_INT_CURR("TOP")		/* Tonga Pa'Anga  */
+-DEFINE_INT_CURR("TRL")		/* Turkish Lira  */
++DEFINE_INT_CURR("TRY")		/* Turkish Lira  */
+ DEFINE_INT_CURR("TTD")		/* Trinidad and Tobago  */
+ DEFINE_INT_CURR("TVD")		/* Tuvalu Dollars  */
+ DEFINE_INT_CURR("TWD")		/* Taiwan, Province of China Dollar  */



Reply to: